View Issue Details

IDProjectCategoryView StatusLast Update
0002223FreeCADBugpublic2016-02-28 18:51
ReporterKrahazikAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformDesktopOSWindowsOS Version10 Pro 64bit
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002223: Units not displaying correctly
DescriptionUnder preferances > general > units

I have set my measuring units to Imperial decimal (in/lb)

However, using the Workshop I am still getting measurments displayed in mm and m instead of inches and feet. When drawing a line for example the length of the line is measured in mm not inch.

Expected measurments to be in inches if set to display inches under preferances.
TagsNo tags attached.

Activities

yorik

2015-09-04 15:33

administrator   ~0006330

The length of the line appears in the correct unit for me in the Properties view. What do you mean by "using the Workshop", and by "getting measurement"?

wmayer

2015-09-14 13:58

administrator   ~0006420

Maybe he meant the measurement tool which showed the distance of the object in metric units.

Related Changesets

FreeCAD: master 718982cd

2015-09-14 15:57:35

wmayer

Details Diff
+ fixes 0002223: Units not displaying correctly Affected Issues
0002223
mod - src/Gui/CommandView.cpp Diff File
mod - src/Gui/ViewProviderMeasureDistance.cpp Diff File

Issue History

Date Modified Username Field Change
2015-08-19 20:56 Krahazik New Issue
2015-09-04 15:33 yorik Note Added: 0006330
2015-09-04 15:33 yorik Assigned To => yorik
2015-09-04 15:33 yorik Status new => feedback
2015-09-14 13:57 wmayer Changeset attached => FreeCAD Master master 718982cd
2015-09-14 13:57 wmayer Assigned To yorik => wmayer
2015-09-14 13:57 wmayer Status feedback => closed
2015-09-14 13:57 wmayer Resolution open => fixed
2015-09-14 13:58 wmayer Note Added: 0006420
2015-09-24 11:33 wmayer Relationship added has duplicate 0002274
2015-09-24 11:34 wmayer Relationship deleted has duplicate 0002274
2015-12-15 13:15 yorik Fixed in Version => 0.16
2016-02-28 18:51 wmayer Relationship added related to 0002154
2016-02-28 18:51 wmayer Relationship deleted related to 0002154